%global soversion 3.24.2
%global desc %{expand: \
The Instrumentation and Tracing Technology (ITT) API enables your application
to generate and control the collection of trace data during its execution
across different Intel tools.}

Name:		ittapi
Version:	3.24.3
Release:	%autorelease
Summary:	Intel Instrumentation and Tracing Technology and Just-In-Time API

License:	BSD-3-Clause and GPL-2.0-only
URL:		https://github.com/intel/ittapi
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:		ittapi-fedora.patch

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++

# C header file library for x86 processors.
ExclusiveArch:	x86_64

%description
%{desc}
	
%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
%{desc}

%prep
%autosetup -p1

%build
%cmake \
	-DITT_API_IPT_SUPPORT=1 \
	-DITT_API_FORTRAN_SUPPORT=1
%cmake_build

%install
%cmake_install

%files
%license LICENSES/BSD-3-Clause.txt LICENSES/GPL-2.0-only.txt
%doc README.md
%{_libdir}/libittnotify.so.%{soversion}

%files devel
%{_includedir}/advisor-annotate.h
%{_includedir}/ittnotify-zca.h
%{_includedir}/ittnotify.h
%{_includedir}/jitprofiling.h
%{_includedir}/libittnotify.h
%{_includedir}/legacy
%{_includedir}/legacy/ittnotify.h
%{_libdir}/libittnotify.so
%{_libdir}/cmake/%{name}

%changelog
%autochangelog
